## prayer 1.3.3-dfsg1

=== debian/changelog ===
prayer (1.3.3-dfsg1-4) unstable; urgency=low

  * Merge ld-as-needed.diff from Ubuntu into dlopen_templates.patch
    (Closes: #607559).
  * dlopen_templates.patch: Add missing #include "dlopen_templates.h" to
    servers/prayer_shared.h.
  * hurd.patch (new): Use the SPT_CHANGEARGV implementation of
    setproctitle() on the Hurd.
  * Add basic manpage for prayer-accountd(8).
  * unbrand_accountd.patch: Remove some Cambridge-specific parts of the
    filter handling.
  * Drop obsolete Build-Depends alternative libc-client2007b-dev.
  * Increase Debhelper compat level to 7.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 27 Mar 2011 22:49:18 +0200

prayer (1.3.3-dfsg1-3ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Dec 2010 19:07:04 +0100

prayer (1.3.3-dfsg1-3) unstable; urgency=high

  * ipv6_v6only.patch (new): Set the IPV6_V6ONLY socket option on
    AF_INET6 sockets; since Prayer by default enumerates available address
    families and calls bind() once for each, conflicts will occur
    otherwise (Closes: #607261).

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 16 Dec 2010 20:16:41 +0100

prayer (1.3.3-dfsg1-2) unstable; urgency=high

  * Convert (trivially, since CDBS with quilt was already used) to source
    format 3.0 (quilt).
  * no_db_version_check.patch: Remove unnecessary and incorrect check that
    not only the major and minor version numbers of the current libdb are
    the same as at compile time, but also that the patch number is equal
    or greater, which should not be a concern (Closes: #592119).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 07 Aug 2010 21:07:53 +0200

prayer (1.3.3-dfsg1-1) unstable; urgency=low

  * New upstream release.
    - Dropped kfreebsd.patch, clean_completely.patch, and
      manpage_error.patch; all incorporated upstream.
    * makefile_install_config.patch: Updated; some parts incorporated
      upstream.
  * prayer-templates-dev.install: Only template_structs.h and misc.h
    needed henceforth, since only those files are #included by compiled
    templates.
  * template_sdk.patch: The #include that templates/src/build_index.pl
    generates was not changed, though.
  * debian/Config, debian/control: Enable libtidy for HTML parsing and
    sanitisation, fixing certain XSS problems, which were due to simple
    substring matching being used.
  * prayer.init, prayer-accountd.init: Add $remote_fs to, and move
    $local_fs to, Required-Start.
  * Upgrade to Standards-Version 3.9.0:
    * Use Breaks instead of Conflicts to handle the renaming of
      prayer-templates.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 22 Jul 2010 03:27:52 +0200

prayer (1.3.2-dfsg1-4) unstable; urgency=low

  * Undo inadvertent inclusion of /usr/include/prayer in
    prayer-templates-src (Closes: #557056).

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 24 Nov 2009 23:14:12 +0100

prayer (1.3.2-dfsg1-3) unstable; urgency=low

  * Replace non-existing libc-client2007-dev with new libc-client2007e-dev
    among the libc-client Build-Depends alternatives (Closes: #552717).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 31 Oct 2009 13:57:08 +0100

prayer (1.3.2-dfsg1-2) unstable; urgency=low

  * dlopen_templates.patch:
    * templates/{cam,old}/Makefile: Define the symbols template_map and
      template_map_count as aliases to the template_$(TYPE)_map and
      template_$(TYPE)_map_count when linking, so that template libraries
      can be loaded by other names than the original one. Also remove some 
      cruft.
    * shared/dlopen_templates.c: Use those symbols instead.
  * Add symlinks so that template_set = xhtml_strict will still work.
  * Update the names of the directories for locally modified templates
    (under /etc/prayer/templates) to reflect the new template names.
  * template_sdk.patch (new): Create makefile for building template set
    libraries. Install it together with binaries and scripts needed.
  * Rename prayer-templates as prayer-templates-src and add new binary
    package prayer-templates-dev containing the aforementioned
    template-building tools as well as a README.Debian explaining how to
    use it all.
  * Ship NEWS.Debian only in the prayer package. Ship TEMPLATES in
    prayer-templates-src in addition to prayer-templates-dev.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 25 Oct 2009 19:22:13 +0100

prayer (1.3.2-dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #546918).
    * The set of available template sets has changed and several
      obsolete configuration options are no longer recognized. Please
      see NEWS.Debian for more information.
    - Repacked without University of Cambridge logos with dubious
      copyright/license status (more info in debian/copyright).
    - unbrand_cam_template.patch: Remove said Cambridge-specific graphics
      from 'cam' template set.
    - Drop unlimit_login_username.patch (fixed upstream when replacing
      the old login screen with frontend templates) and
      usernames_with_at.patch (incorporated upstream).
    * clean_completely.patch: Partially implemented upstream.
    * Manpages incorporated upstream.
  * dlopen_templates.patch: Experimental support for dynamically loading
    templates.
  * Update README.Debian.
  * makefile_install_config.patch(share/config.c): Change default
    template_set to "old".
  * makefile_install_config.patch(files/Makefile): Fix permissions on
    icons and static files.
  * manpage_error.patch: Fix missing .El in prayer-session(8).

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 07 Oct 2009 22:50:45 +0200

prayer (1.2.3-2) unstable; urgency=low

  * welcome_is_template.patch wasn't fully incorporated upstream. Remove
    the help_dir setting and check in makefile_install_config.patch instead.c
  * Make Prayer work on kFreeBSD.  Unfortunately there is no support for
    SysV semaphores.

