## prayer 1.3.4-dfsg1

=== debian/changelog ===
prayer (1.3.4-dfsg1-1) unstable; urgency=low

  * New upstream release.
    - Drop ipv6_v6only.patch; fixed upstream.
    * template_sdk.patch: templates/src/build_index.pl no longer need to
      be patched.
  * Bump Standards-Version to 3.9.2.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 27 Aug 2011 22:24:50 +0200
