=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs, debhelper (>= 7),
  libc-client2007e-dev | libc-client-dev,
  libldap2-dev, zlib1g-dev, libssl-dev (>= 0.9.6), libdb-dev, libtidy-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.kibibyte.se/prayer/trunk
 Vcs-Browser: http://svn.kibibyte.se/prayer
 Homepage: http://www-uxsup.csx.cam.ac.uk/~dpc22/prayer/
