=== accountd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Cambridge: hermes/src/prayer/accountd/Makefile,v 1.11 2009/09/01 10:35:54 dpc22 Exp $
+# $Cambridge: hermes/src/prayer/accountd/Makefile,v 1.12 2011/06/15 13:17:48 dpc22 Exp $
 # Prayer - a Webmail Interface
 #
 # Copyright (c) University of Cambridge 2000 - 2002
@@ -22,7 +22,12 @@
 ifeq ($(strip $(ACCOUNTD_PAM_ENABLE)), true)
   BASE_INCLUDE      += $(PAM_INCLUDE)
   BASE_LIBS         += $(PAM_LIBS)
-  ACCOUNTD_PAM_DEFS  = -DACCOUNTD_PAM_ENABLE=1
+  ACCOUNTD_AUTH_DEFS += -DACCOUNTD_PAM_ENABLE=1
+endif
+
+ifeq ($(strip $(RAVEN_ENABLE)), true)
+  ACCOUNTD_AUTH_DEFS += -DRAVEN_ENABLE=1
+  ACCOUNTD_SSL_ENABLE=true
 endif
 
 MYCFLAGS  = $(BASECFLAGS)
@@ -64,7 +69,7 @@
 	  -DACCOUNTD_CONFIG_FILE=\"$(ACCOUNTD_CONFIG_FILE)\" $<
 
 authenticate.o: authenticate.c *.h Makefile
-	$(CC) $(MYCFLAGS) -c $(ACCOUNTD_PAM_DEFS) $<
+	$(CC) $(MYCFLAGS) -c $(ACCOUNTD_AUTH_DEFS) $<
 
 clean:
 	-rm -f prayer-accountd test core *.o *~ \#*\#
