=== man/Makefile ===
# $Cambridge: hermes/src/prayer/man/Makefile,v 1.2 2008/09/16 09:59:57 dpc22 Exp $
#
# Prayer - a Webmail Interface
#
# Copyright (c) University of Cambridge 2000 - 2008
# See the file NOTICE for conditions of use and distribution.

ifeq ($(strip $(RPM_BUILD)), true)
include ../Config-RPM
else
include ../Config
endif

install:
	PREFIX=$(BROOT)$(PREFIX) VAR_PREFIX=$(BROOT)$(VAR_PREFIX) \
	RO_USER=$(RO_USER) RO_GROUP=$(RO_GROUP) \
	RW_USER=$(RW_USER) RW_GROUP=$(RW_GROUP) \
	PUBLIC_DIR=$(PUBLIC_DIR) PRIVATE_DIR=$(PRIVATE_DIR) \
	PUBLIC_FILE=$(PUBLIC_FILE) PRIVATE_FILE=$(PRIVATE_FILE) \
	PUBLIC_EXEC=$(PUBLIC_FILE) PRIVATE_EXEC=$(PRIVATE_EXEC) \
	BIN_DIR=$(BIN_DIR) INSTALL=$(INSTALL) \

	mkdir -p $(BROOT)$(PREFIX)/man
	mkdir -p $(BROOT)$(PREFIX)/man/man5
	mkdir -p $(BROOT)$(PREFIX)/man/man8

	$(INSTALL) prayer.cf.5        $(BROOT)$(PREFIX)/man/man5
	$(INSTALL) prayer.8           $(BROOT)$(PREFIX)/man/man8
	$(INSTALL) prayer-session.8   $(BROOT)$(PREFIX)/man/man8
	$(INSTALL) prayer-ssl-prune.8 $(BROOT)$(PREFIX)/man/man8
