=== session/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Cambridge: hermes/src/prayer/session/Makefile,v 1.7 2010/07/08 10:20:42 dpc22 Exp $
+# $Cambridge: hermes/src/prayer/session/Makefile,v 1.9 2011/06/17 15:22:57 dpc22 Exp $
 #
 # Prayer - a Webmail Interface
 #
@@ -24,9 +24,12 @@
   BASECFLAGS += $(FENCE_INCLUDE)
 endif
 
-# Enable libtidy
+# Enable libtidy or libtidyp fork
 ifeq ($(strip $(TIDY_ENABLE)), true)
   TIDY_DEF = -DTIDY_ENABLE=1
+  ifeq ($(strip $(TIDY_IS_TIDYP)), true)
+    TIDY_DEF += -DTIDY_IS_TIDYP=1
+  endif
   BASECFLAGS += $(TIDY_INCLUDE)
   BASE_LIBS  += $(TIDY_LIBS)
 endif
