## prayer 1.3.5-dfsg1

=== debian/changelog ===
prayer (1.3.5-dfsg1-3) unstable; urgency=low

  * disable_ssl3.patch (new): Disable SSL 3.0 due to CVE-2014-3566
    (POODLE).
  * debian/Config: Disable ACCOUNTD_SSL_ENABLE since the SSL/TLS support
    in prayer-accountd and prayer-session is incomplete and never was
    functional.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 29 Oct 2014 22:32:18 +0100

prayer (1.3.5-dfsg1-2) unstable; urgency=high

  * dlopen_templates.patch: Use MYCFLAGS (which is initialized to the
    value of CFLAGS from dpkg-buildflags in the Config file) instead of
    CFLAGS in templates/{src,cam,old}/Makefile (Closes: #715310, LP:
    #1201216). The --defsym options were lost when we let CDBS override
    CFLAGS in the previous upload.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 18 Jul 2013 22:47:08 +0200

prayer (1.3.5-dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop dummy package prayer-templates.
  * No longer override CDBS overriding CFLAGS, thereby allowing hardening
    flags to be properly propagated. I think it caused internal include
    flags to be lost, but since at least 1.3.2 that's no longer the case.
  * Bump Standards-Version to 3.9.4.
  * hurd.patch: Always define HAVE_SHADOW. The test for BSD4_4 seems
    bogus; it is defined on Hurd, but crypt(3) is available there.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 12 Jun 2013 00:09:05 +0200
