=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs, debhelper (>= 7),
  libc-client2007e-dev | libc-client-dev,
  libldap2-dev, zlib1g-dev, libssl-dev (>= 0.9.6), libdb-dev, libtidy-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.kibibyte.se/prayer/trunk
 Vcs-Browser: http://svn.kibibyte.se/prayer
 Homepage: http://www-uxsup.csx.cam.ac.uk/~dpc22/prayer/
@@ -28,13 +28,6 @@
  Prayer has very few external dependencies as user preferences are stored on
  the IMAP server rather than in a SQL database. It does however implement a
  full range of features and user preference settings.
-
-Package: prayer-templates
-Architecture: all
-Depends: prayer-templates-src, ${misc:Depends}
-Description: dummy package depending on prayer-templates-src
- The Prayer template source package is now called prayer-templates-src.
- This package can safely be removed after upgrade.
 
 Package: prayer-templates-src
 Architecture: all
