=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) $(MAKE)
 DEB_MAKE_INSTALL_TARGET = install BROOT=$(CURDIR)/debian/tmp
 DEB_INSTALL_CHANGELOGS_ALL = docs/DONE
-DEB_INSTALL_DOCS_prayer-templates = --link-doc=prayer-templates-src
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 DEB_INSTALL_MANPAGES_prayer = "--language=C"
